<?php
/**
 * Created by PhpStorm.
 * User: ag-websolutions.de
 * Date: 19.02.14
 * Time: 12:41
 *
 * File: agws_order_again_cms.php
 * Project: agws_order_again
 */

require_once $oPlugin->cAdminmenuPfad . 'inc/class.agws_plugin_all.helper.php';
$helper = agwsPluginHelperAll::getInstance($oPlugin);
if ($helper->isShop4()) {$smarty = Shop::Smarty();} else {global $smarty;}

if ($helper->isShop4()) {
    $conf = Shop::getSettings(array(CONF_GLOBAL));
    $smarty->assign('google_recaptcha_public', $conf["global"]["global_google_recaptcha_public"]);
} else {
    $smarty->assign('google_recaptcha_public', $oPlugin->oPluginEinstellungAssoc_arr['agws_order_again_google_recaptcha_public']);
}

$agws_order_again_bestell_nr = $helper->filter__XSS(verifyGPDataString('bestell_nr'));
$agws_order_again_bestell_datum = $helper->filter__XSS(verifyGPDataString('bestell_datum'));
$agws_order_again_bestell_form1 = $helper->filter__XSS(verifyGPDataString('order_again_form1'));
$agws_order_again_bestell_re_order = $helper->filter__XSS(verifyGPDataString('re_order'));

($helper->isShop4()) ?
    $Einstellungen = Shop::getSettings(array(CONF_KAUFABWICKLUNG)) :
    $Einstellungen = getEinstellungen(array(CONF_KAUFABWICKLUNG));

$smarty->assign('ShowForm1', true);
$smarty->assign('ShowForm2', false);
$smarty->assign('orderNo_pre', $Einstellungen["kaufabwicklung"]["bestellabschluss_bestellnummer_praefix"]);
$smarty->assign('orderNo_suf', $Einstellungen["kaufabwicklung"]["bestellabschluss_bestellnummer_suffix"]);
$smarty->assign('oPlugin_agws_order_again', $oPlugin);
$smarty->assign('bIsShop4', $helper->isShop4());
$smarty->assign('cFrontendPfadURL_oa', $oPlugin->cFrontendPfadURLSSL);
$smarty->assign('order_again_spam', $oPlugin->oPluginEinstellungAssoc_arr['agws_order_again_spam']);
$smarty->assign('order_again_error_recaptcha', $oPlugin->oPluginSprachvariableAssoc_arr['agws_order_again_loc_6']);
$smarty->assign('order_again_error_orderno', $oPlugin->oPluginSprachvariableAssoc_arr['agws_order_again_loc_7']);
$smarty->assign('order_again_error_orderdate', $oPlugin->oPluginSprachvariableAssoc_arr['agws_order_again_loc_8']);

if (isset($agws_order_again_bestell_form1) && $agws_order_again_bestell_form1 == 1 && isset($agws_order_again_bestell_nr) && $agws_order_again_bestell_nr != "" && isset($agws_order_again_bestell_datum) && $agws_order_again_bestell_datum != "") {
   	$agws_order_again_bestell_datum = strtotime($agws_order_again_bestell_datum); 
	$agws_order_again_bestell_datum = date('Y-m-d', $agws_order_again_bestell_datum);

    $sql = "SELECT kBestellung, kKunde, cStatus FROM tbestellung
	            WHERE cBestellNr='" . $agws_order_again_bestell_nr . "'
	            AND `dErstellt` LIKE '" . $agws_order_again_bestell_datum . "%'";
    ($helper->isShop4()) ?
        $kBestellung_arr = Shop::DB()->query($sql, 1) :
        $kBestellung_arr = $GLOBALS["DB"]->executeQuery($sql, 1);

    if (isset($kBestellung_arr->kBestellung) && $kBestellung_arr->kBestellung > 0) {
        if ($kBestellung_arr->cStatus >= $oPlugin->oPluginEinstellungAssoc_arr['agws_order_again_orderstatus']) {
            if (isset($_SESSION['Kunde']->kKunde) && $_SESSION['Kunde']->kKunde > 0 && $_SESSION['Kunde']->kKunde == $kBestellung_arr->kKunde)
                header('Location: jtl.php?bestellung=' . $kBestellung_arr->kBestellung, true, 303);

            $oBestellung = new Bestellung($kBestellung_arr->kBestellung);
            $oBestellung->fuelleBestellung(0);
            $smarty->assign('ShowForm1', false);
            $smarty->assign('ShowForm2', true);
            $smarty->assign('Bestellung', $oBestellung);
        } else {
            $smarty->assign('ShowForm1', true);
            $smarty->assign('ShowForm2', false);
            $smarty->assign('OrdnerNotFound', $oPlugin->oPluginSprachvariableAssoc_arr['agws_order_again_loc_4']);
            $smarty->assign('OrdnerNotFound_Date', $agws_order_again_bestell_datum);
            $smarty->assign('OrdnerNotFound_Nr', $agws_order_again_bestell_nr);
        }
    } else {
        $smarty->assign('ShowForm1', true);
        $smarty->assign('ShowForm2', false);
        $smarty->assign('OrdnerNotFound', $oPlugin->oPluginSprachvariableAssoc_arr['agws_order_again_loc_5']);
        $smarty->assign('OrdnerNotFound_Date', $agws_order_again_bestell_datum);
        $smarty->assign('OrdnerNotFound_Nr', $agws_order_again_bestell_nr);
    }
}

if (isset($agws_order_again_bestell_re_order) && $agws_order_again_bestell_re_order == 1) {
    $oBestellung = new Bestellung($_POST['bestellung']);
    $oBestellung->fuelleBestellung(0);

    $Artikel_neg = "";
    $zkArtikel_pos = 0;
    $zArtikel_neg = 0;

    foreach ($oBestellung->Positionen as $Position) {
        if (in_array($Position->kWarenkorbPos, $_POST['order_again'])) {
            $xWarenkorbPosEigenschaftArr = $Position->WarenkorbPosEigenschaftArr;

            if (count($Position->Artikel->oVariationKombi_arr) > 0)
                $xWarenkorbPosEigenschaftArr = $Position->Artikel->oVariationKombi_arr;


            $bOrderAgain = fuegeEinInWarenkorb($Position->kArtikel, $Position->nAnzahl, $xWarenkorbPosEigenschaftArr, 1, $Position->cUnique);

            if ($bOrderAgain) {
                $zArtikel_pos++;
            } else {
                $zArtikel_neg++;
                $Artikel_neg .= '<a href="index.php?a=' . $Position->kArtikel . '">' . $helper->gib__Wert('productNo', 'global') . ": " . $Position->cArtNr . ", " . $Position->cName . "</a><br />";
            }
        }
    }

    if ($zArtikel_neg > 0) {
        $Artikel_neg = substr($Artikel_neg, 0, -6);
        $_SESSION['order_again_Artikel_neg'] = $oPlugin->oPluginSprachvariableAssoc_arr['agws_order_again_loc_1'] . "<br/>" . $Artikel_neg;
    }


    if ($zArtikel_pos > 0) {
        header('Location: warenkorb.php', true, 303);
    } elseif (isset($_SESSION['order_again_Artikel_neg']) && $_SESSION['order_again_Artikel_neg'] != "") {
        $smarty->assign('OrderAgainError', $_SESSION['order_again_Artikel_neg']);
        unset($_SESSION['order_again_Artikel_neg']);
        $smarty->assign('ShowForm1', false);
        $smarty->assign('ShowForm2', true);
        $smarty->assign('Bestellung', $oBestellung);
    }
}